Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoOneShotSensor Class Reference
[Sensor classes]

`#include <Inventor/sensors/SoOneShotSensor.h>`

Inheritance diagram for SoOneShotSensor:

List of all members.

## Detailed Description

The SoOneShotSensor class is a sensor which will trigger once.

## Public Member Functions
| SoOneShotSensor (void)
| SoOneShotSensor (SoSensorCB *func, void *data)
virtual | ~SoOneShotSensor (void)

## Constructor & Destructor Documentation

SoOneShotSensor::SoOneShotSensor | ( | void |  | ) |

| Constructor.

SoOneShotSensor::SoOneShotSensor | ( | SoSensorCB * | func,
|  | void * | data
| ) |

| Constructor taking as parameters the sensor callback function and the userdata which will be passed the callback. See also: setFunction(), setData()

SoOneShotSensor::~SoOneShotSensor | ( | void |  | ) | `[virtual]`

| Destructor.

The documentation for this class was generated from the following files:

- SoOneShotSensor.h
- SoOneShotSensor.cpp